%define module  Test-Exception
%define name	perl-%{module}
%define version 0.21
%define release 2mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Test exception based code
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/A/AD/ADIE/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Sub-Uplevel
BuildRequires:	perl-Test-Builder-Tester

%description 
This module provides a few convenience methods for testing
exception-based code. It is built with Test::Builder and
plays happily with Test::Simple, Test::More and friends.

If you are not familiar with Test::Simple or Test::More
now would be the time to go take a look.

%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(444,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/man3/*

%changelog
* Tue Aug 30 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.21-2mdk
- buildrequires: perl-Test-Builder-Tester

* Mon Jun 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdk
- New release 0.21
- spec cleanup
- buildrequires

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.20-2mdk
- fix buildrequires in a backward compatible way

* Mon Aug 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.20-1mdk
- 0.20.

* Mon Aug 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.19-1mdk
- 0.19.

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-1mdk
- 0.17.

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15-6mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15-5mdk
- fixed dir ownership (distlint)

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.15-4mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.15-3mdk
- Extra requires removed
- Macroification
- man path
- use %%make and %%makeinstall
- perllocal.pod

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 0.15-1mdk
- 0.15.

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.13-1mdk
- 0.13.

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.12-1mdk
- 0.12

* Thu Aug 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.11-3mdk
- fix requires

* Sun Aug 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.11-2mdk
- fixed missing man pages

* Sat Aug 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.11-1mdk
- first mdk release
